Subject: Re: many cygwin shells/tools (tcsh, fish, bash, and zsh) crashing STATUS_ACCESS_VIOLATION
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Mon, 9 Aug 2021 23:04:03 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-08-09 22:36, David Dyck via Cygwin wrote:
> I'm having trouble getting cygwin bash to start up - I tried older
> versions of bash, and I see that other tools are crashing also.  I'm
> looking for ideas on how to collect the useful information to begin
> the path to getting operation of cygwin restored.
> 
> I've had it running for many years, but recently upgraded to windows 10
> c:\cygwin64\bin>ver
> 
> Microsoft Windows [Version 10.0.22000.120]
> 
> seems like this computer ran cygwin bash probably in May of 2021.

It's a known problem that after Windows updates, especially Insider, 
quarterly, or biannually e.g. [20]20H2 [20]2009, it's often advisable to 
rerun Cygwin Setup and allow packages to be upgraded in case patches are 
made for new releases, and DLLs be rebased in case address space is 
occupied by updated Windows components.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple